# Visualization
TKV3d
Graphic3d

# Graphic3d_WNTGraphicDevice Class Reference

This class initializes a Windows NT Graphic Device.
.

`#include <Graphic3d_WNTGraphicDevice.hxx>`

Inheritance diagram for Graphic3d_WNTGraphicDevice:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_WNTGraphicDevice ()
| Creates a class instance and provide initialization of the graphic library. Warning: Raises if something wrong. .
Standard_EXPORT void | Destroy ()
| Destroys all resources attached to the graphic device. .
| ~Graphic3d_WNTGraphicDevice ()
Standard_EXPORT Handle_Aspect_GraphicDriver | GraphicDriver () const
| Returns the GraphicDriver. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | SetGraphicDriver ()
| Sets the GraphicDriver. .

## Private Attributes

Handle_Graphic3d_GraphicDriver | MyGraphicDriver
OSD_SharedLibrary | MySharedLibrary

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_WNTGraphicDevice::Graphic3d_WNTGraphicDevice | ( |  | ) |

Graphic3d_WNTGraphicDevice::~Graphic3d_WNTGraphicDevice | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void Graphic3d_WNTGraphicDevice::Destroy | ( |  | ) | `[virtual]`

| Reimplemented from WNT_GraphicDevice.

Standard_EXPORT Handle_Aspect_GraphicDriver Graphic3d_WNTGraphicDevice::GraphicDriver | ( |  | ) | const`[virtual]`

| Reimplemented from WNT_GraphicDevice.

Standard_EXPORT const Graphic3d_WNTGraphicDevice::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WNT_GraphicDevice.

Standard_EXPORT void Graphic3d_WNTGraphicDevice::SetGraphicDriver | ( |  | ) | `[private]`

## Field Documentation

Handle_Graphic3d_GraphicDriver Graphic3d_WNTGraphicDevice::MyGraphicDriver `[private]`

OSD_SharedLibrary Graphic3d_WNTGraphicDevice::MySharedLibrary `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_WNTGraphicDevice.hxx